Subject: Re: bug#73384: [PATCH] Draw coloured stipples on NS

From: Arash Esbati <[email-masked]>
Date: Mon, 21 Oct 2024 21:26:52 +0200

Ben Simms <[email-masked]> writes:

> I'm not sure, I've attached the patch instead of including it in the
> email body, perhaps this is better.

Yes, thanks, now it works.  I think it was due to a trailing whitespace
after else in this part:

+      [[NSGraphicsContext currentContext] restoreGraphicsState];
+#else
+      [[dpyinfo->bitmaps[s->face->stipple - 1].img stippleMask] set];

which was removed in the body.  At any rate, I applied your change,
built emacs anew from scratch, and it looks like this:

I'd say it works.  What do others think?  Many thanks for this.

Best, Arash